콘텐츠로 건너뛰기
ShopentlyLearn

주문 · 상품 파일

이 주문의 상품 파일을 조회합니다. API 키에 허용된 카테고리를 선택하세요.

GET/api/v1/orders/{order_id}/files

cURL 요청

curl --disable --globoff --fail-with-body --silent --show-error \
  --proto '=https' --connect-timeout 5 --max-time 30 \
  --request GET \
  --url 'https://shop.onshopently.com/api/v1/orders/example/files?category=digital' \
  --header 'Authorization: Bearer EXAMPLE_ACCESS_TOKEN'

응답

{
  "data": {
    "files": [
      {
        "can_download": true,
        "category": "digital",
        "filename": "manual.pdf",
        "id": "example",
        "label": "Manual",
        "line_id": "example",
        "mime_type": "application/pdf",
        "product_id": "example",
        "purchase_id": "00000000-0000-4000-8000-000000000001",
        "reason": "paid",
        "sha256": "5cd2f1cb0e5532b397e7ab1887baf6000c49450fd80ae279eb047c06e4545ecd",
        "size_bytes": 46,
        "source_file_id": "00000000-0000-4000-8000-000000000001",
        "source_version_id": "00000000-0000-4000-8000-000000000001",
        "source_version_number": 1,
        "state": "active"
      }
    ],
    "updates_pending": false
  },
  "meta": {
    "pagination": {
      "has_more": false,
      "limit": 50,
      "next_cursor": null
    },
    "request_id": "example"
  }
}

필수 권한

최소 요금제
BASIC
필수 권한
특정 필드의 추가 권한
  • category=internal: 주문 파일 다운로드 · 내부 파일orders.order_file:read_internal
  • category=customer_document: 주문 파일 다운로드 · 고객 문서orders.order_file:read_customer_document
  • category=digital: 주문 파일 다운로드 · 디지털 상품orders.order_file:read_digital